You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5.

When you are trying to install Visual Studio 2008 professional edition on a Windows 2008 R2 suddenly you will be prompted to an error saying “You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5.”



In this case what you have to do is, from the Service Manager install the .NET Framework 3.5.1 Feature as Windows 2008 R2 is integrated with .NET Framework 3.5.


so before installing VS 2008 make sure that you are enabling this feature .NET Framework 3.5.1 Features via the Add Features Wizard in Server Manager.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: